Loading...
Searching...
No Matches
casacore::FitsStdInput Class Reference
fits package (libcasa_fits) » FITS_module

FITS input from standard input. More...

`#include <fitsio.h>`

## Public Member Functions

| FitsStdInput (int, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ~FitsStdInput ()
Public Member Functions inherited from casacore::BlockInput
| BlockInput (const char *, int, int=1, FITSErrorHandler errhandler=FITSError::defaultHandler)
| Construction can be done either from a filename or from a file descriptor.
| BlockInput (int, int, int=1, FITSErrorHandler errhandler=FITSError::defaultHandler)
virtual | ~BlockInput ()
virtual char * | read ()
| read the next logical record or first skip N logical records and then read the next one.
virtual char * | skip (int)
Public Member Functions inherited from casacore::BlockIO
int | err () const
int | blockno () const
| number of physical blocks read/written
void | reset_iosize ()
| reset the m_iosize data member
int | iosize () const
| get the total bytes of data in m_buffer
int | current () const
| get the current read position within m_buffer
char * | buffer () const
| get m_buffer
int | recno () const
| number of logical records read/written
const char * | fname () const
| name of file associated with I/O stream, if applicable
int | close_file (fitsfile *fptr, int *status)
| fits_close_file() does not work for reasons that the file pointer does not have the knowledge of chdu which were written with write_hdr() not write_***_hdr().
int | fdes () const
| file descriptor associated with I/O stream, if applicable
fitsfile * | getfptr () const
| get the fitsfile pointer
void | setfptr (fitsfile *ffp)

## Additional Inherited Members

Public Types inherited from casacore::BlockIO
enum | IOErrs { OK , NOSUCHFILE , NOMEM , OPENERR , CLOSEERR , READERR , WRITEERR }
| error return code More...
Protected Member Functions inherited from casacore::BlockIO
| BlockIO (const char *, int, int, int=1, FITSErrorHandler errhandler=FITSError::defaultHandler)
| Construction can be done either from a filename with open options or from a file descriptor.
| BlockIO (int, int, int=1, FITSErrorHandler errhandler=FITSError::defaultHandler)
virtual | ~BlockIO ()
void | errmsg (IOErrs, const char *)
| set the error message and error number for later recovery
Protected Attributes inherited from casacore::BlockIO
char * | m_filename
int | m_options
const int | m_recsize
const int | m_nrec
const int | m_blocksize
FITSErrorHandler | m_errfn
IOErrs | m_err_status
int | m_fd
char * | m_buffer
int | m_block_no
int | m_rec_no
int | m_current
int | m_iosize
| size of record in buffer
fitsfile * | m_fptr
| using fitsfile structure from cfitsio of NASA

## Detailed Description

FITS input from standard input.

Definition at line 295 of file fitsio.h.

## Constructor & Destructor Documentation

## FitsStdInput()

casacore::FitsStdInput::FitsStdInput | ( | int | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

References casacore::FITSError::defaultHandler().

## ~FitsStdInput()

casacore::FitsStdInput::~FitsStdInput | ( |  | ) |

The documentation for this class was generated from the following file:

- fits/FITS/fitsio.h